LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::text::UserDataPart Constant Group Referencepublished

These constants define which part of the user data is displayed in a user data text field (service "sun.one.text.TextField.ExtendedUser") More...

## Variables
const short | COMPANY = 0
| The field shows the company name. More...
const short | FIRSTNAME = 1
| The field shows the first name. More...
const short | NAME = 2
| The field shows the name. More...
const short | SHORTCUT = 3
| The field shows the initials. More...
const short | STREET = 4
| The field shows the street. More...
const short | COUNTRY = 5
| The field shows the country. More...
const short | ZIP = 6
| The field shows the zip code. More...
const short | CITY = 7
| The field shows the city. More...
const short | TITLE = 8
| The field shows the title. More...
const short | POSITION = 9
| The field shows the position. More...
const short | PHONE_PRIVATE = 10
| The field shows the no of the private phone. More...
const short | PHONE_COMPANY = 11
| The field shows the number of the business phone. More...
const short | FAX = 12
| The field shows the fax no. More...
const short | EMAIL = 13
| The field shows the e-Mail. More...
const short | STATE = 14
| The field shows the state. More...

## Detailed Description

These constants define which part of the user data is displayed in a user data text field (service "sun.one.text.TextField.ExtendedUser")

## Variable Documentation

## ◆ CITY

const short CITY = 7

The field shows the city.

## ◆ COMPANY

const short COMPANY = 0

The field shows the company name.

## ◆ COUNTRY

const short COUNTRY = 5

The field shows the country.

## ◆ EMAIL

const short EMAIL = 13

The field shows the e-Mail.

## ◆ FAX

const short FAX = 12

The field shows the fax no.

## ◆ FIRSTNAME

const short FIRSTNAME = 1

The field shows the first name.

## ◆ NAME

const short NAME = 2

The field shows the name.

## ◆ PHONE_COMPANY

const short PHONE_COMPANY = 11

The field shows the number of the business phone.

## ◆ PHONE_PRIVATE

const short PHONE_PRIVATE = 10

The field shows the no of the private phone.

## ◆ POSITION

const short POSITION = 9

The field shows the position.

## ◆ SHORTCUT

const short SHORTCUT = 3

The field shows the initials.

## ◆ STATE

const short STATE = 14

The field shows the state.

## ◆ STREET

const short STREET = 4

The field shows the street.

## ◆ TITLE

const short TITLE = 8

The field shows the title.

## ◆ ZIP

const short ZIP = 6

The field shows the zip code.